Package helma.main

# Class CommandlineRunner

java.lang.Object
helma.main.CommandlineRunner

public class CommandlineRunner extends Object
Helma command line runner class. This class creates and starts a single application, invokes a function in, writes its return value to the console and exits.

## Constructor Summary

Constructors
Constructor
Description
`CommandlineRunner()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
boot method for running a request from the command line.
`static void`
`printUsageError()`
print the usage hints
`static void`
`printUsageError(String msg)`
print the usage hints and prefix them with a message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandlineRunner

public CommandlineRunner()

## Method Details

### main

public static void main(String[] args) throws Exception
boot method for running a request from the command line. This retrieves the Helma home directory, creates the app and runs the function.

Parameters:
  `args` - command line arguments
Throws:
  `Exception` - if the Helma home dir or classpath couldn't be built

### printUsageError

public static void printUsageError(String msg)
print the usage hints and prefix them with a message.

### printUsageError

public static void printUsageError()
print the usage hints